var path = require('path')

var program = require('commander')

// defaults
var configDir = path.join(__dirname, 'config')
var configName = 'test'

// cli interface
program
.version('1.0.0')
.option('-c, --config [type]', 'Select config file [test]', 'test')
.parse(process.argv)

if (program.config) { configName = program.config }

// require config and main service module
var config = require(path.join(configDir, configName))
var service = require('./src/index')

// start
console.log('=== STARTING SERVICE (config file: ' + configName + ')')
service.startService(config)
