// router
var routerFactory = require('koa-router')
// middleware dependencies
var body = require('koa-body')
var jwt = require('koa-jwt')

module.exports = function (config) {
  var router = routerFactory()

  var jwtOptions = {
    secret: config.jwt.secret
  }

  // root route
  router.get('/', function * () {
    this.body = {status: 'OK', version: '1.0.0'}
  })

  return router
}
